[SM-Grimoire-Bugs] [Bug 9190] New: Automate Perl spells version upgrades

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Fri Jul 8 11:17:25 EDT 2005


http://bugs.sourcemage.org/show_bug.cgi?id=9190

           Summary: Automate Perl spells version upgrades
           Product: Codex
           Version: devel grimoire
          Platform: Other
        OS/Version: other
            Status: NEW
          Severity: normal
          Priority: P2
         Component: perl-cpan
        AssignedTo: sergey at sourcemage.org
        ReportedBy: sergey at sourcemage.org
                CC: sm-grimoire-bugs at lists.ibiblio.org


Lyon Lemmens, a former perl-cpan maintainer, left me three rudimentary scripts
to auto-upgrade Perl spells. I am attaching them to this bug. This bug is to
track the task of taking this code and makeing it work similar to existing
script in php-pear section. Volunteers are welcome.

On December 6, 2003, Lyon wrote in response to my question:

> First, do you think
> it's possible to easily script version upgrades for existing perl-cpan
> packages? For PEAR for example (php-pear section), they pretty much give
> you out the whole thing on a plate, you just have to take it, parse it,
> create/update spells, and it's all scriptable. How difficult it would be
> to do the same for packages on CPAN? Let's say I'm only interested in
> versions, nothing else.

I've got a rudimentary script (actually 3 that work together), I've attached
them.

cpan_check        checks CPAN for new versions
md5               replaces the MD5 lines with the correct checksum
bump              version-bump a spell

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.



More information about the SM-Grimoire-Bugs mailing list